aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/dhcp-forwarder/files/init
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/dhcp-forwarder/files/init
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/dhcp-forwarder/files/init')
-rw-r--r--recipes/dhcp-forwarder/files/init25
1 files changed, 25 insertions, 0 deletions
diff --git a/recipes/dhcp-forwarder/files/init b/recipes/dhcp-forwarder/files/init
new file mode 100644
index 0000000000..ca3b4568c0
--- /dev/null
+++ b/recipes/dhcp-forwarder/files/init
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+#$Header: /data/cvs/mtx/system/dhcp-forwarder/ipkg/etc/init.d/dhcp-fwd,v 1.1 2004/04/21 08:42:05 ml Exp $
+
+CONFFILE=/etc/dhcp-fwd.cfg
+DAEMON=/usr/sbin/dhcp-fwd
+
+case "$1" in
+ start)
+ start-stop-daemon -S -x $DAEMON -- -c $CONFFILE
+ ;;
+ stop)
+ start-stop-daemon -K -x $DAEMON
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0